Index: /code/branches/ceguilua/CMakeLists.txt
===================================================================
--- /code/branches/ceguilua/CMakeLists.txt	(revision 1803)
+++ /code/branches/ceguilua/CMakeLists.txt	(revision 1804)
@@ -78,5 +78,5 @@
 FIND_PACKAGE(OggVorbis)
 FIND_PACKAGE(ZLIB)
-FIND_PACKAGE(Lua)
+#FIND_PACKAGE(Lua)
 FIND_PACKAGE(TCL)
 FIND_PACKAGE(DirectX)
@@ -86,5 +86,5 @@
   ${OGRE_LIB_DIR}
   ${CEGUI_LIB_DIR}
-  ${CEGUI_SCRIPT_LIB_DIR}
+#  ${CEGUI_SCRIPT_LIB_DIR}
 #  ${CEGUI_OGRE_LIB_DIR}
   ${ENet_LIBRARY}
@@ -105,5 +105,5 @@
   ${VORBIS_INCLUDE_DIR}
   ${OGG_INCLUDE_DIR}
-  ${Lua_INCLUDE_DIR}
+#  ${Lua_INCLUDE_DIR}
   ${TCL_INCLUDE_PATH}
   ${DirectX_INCLUDE_DIR}
Index: /code/branches/ceguilua/src/CMakeLists.txt
===================================================================
--- /code/branches/ceguilua/src/CMakeLists.txt	(revision 1803)
+++ /code/branches/ceguilua/src/CMakeLists.txt	(revision 1804)
@@ -2,9 +2,15 @@
 INCLUDE_DIRECTORIES(..)
 INCLUDE_DIRECTORIES(orxonox)
-INCLUDE_DIRECTORIES(tolua)
+#INCLUDE_DIRECTORIES(tolua)
 
 ADD_SUBDIRECTORY(cpptcl)
 ADD_SUBDIRECTORY(ois)
 ADD_SUBDIRECTORY(tinyxml)
+
+# This section deals with Lua version problems because CEGUILua scripting
+# module for CEGUI also uses Lua, but maybe with a different version.
+# So first, find out what CEGUI version we have.
+
+
 ADD_SUBDIRECTORY(tolua)
 
@@ -14,6 +20,2 @@
 ADD_SUBDIRECTORY(network)
 ADD_SUBDIRECTORY(orxonox)
-
-# This section deals with Lua version problems because CEGUILua scripting
-# module for CEGUI also uses Lua, but maybe with a different version.
-# So first, find out what CEGUI version we have.
Index: /code/branches/ceguilua/src/ceguilua-0.5.0b/ceguilua/CMakeLists.txt
===================================================================
--- /code/branches/ceguilua/src/ceguilua-0.5.0b/ceguilua/CMakeLists.txt	(revision 1803)
+++ /code/branches/ceguilua/src/ceguilua-0.5.0b/ceguilua/CMakeLists.txt	(revision 1804)
@@ -9,2 +9,4 @@
 
 ADD_LIBRARY( ceguilua_orxonox SHARED ${LUA_SRC_FILES} )
+
+TARGET_LINK_LIBRARIES( ceguilua_orxonox lua_orxonox )
Index: /code/branches/ceguilua/src/ceguilua-0.6.1/ceguilua/CEGUILua.cpp
===================================================================
--- /code/branches/ceguilua/src/ceguilua-0.6.1/ceguilua/CEGUILua.cpp	(revision 1803)
+++ /code/branches/ceguilua/src/ceguilua-0.6.1/ceguilua/CEGUILua.cpp	(revision 1804)
@@ -28,7 +28,4 @@
  *   OTHER DEALINGS IN THE SOFTWARE.
  ***************************************************************************/
-#ifdef HAVE_CONFIG_H
-#   include "config.h"
-#endif
 
 #include "CEGUI.h"
@@ -40,11 +37,6 @@
 
 // include Lua libs and tolua++
-extern "C" {
-#include "lua.h"
-#include "lualib.h"
-#include "lauxlib.h"
-}
-
-#include "tolua++.h"
+#include "lua/lua.hpp"
+#include "tolua/tolua++.h"
 
 // prototype for bindings initialisation function
@@ -61,19 +53,17 @@
 LuaScriptModule::LuaScriptModule()
 {
-    #if CEGUI_LUA_VER >= 51
-        static const luaL_Reg lualibs[] = {
-            {"", luaopen_base},
-            {LUA_LOADLIBNAME, luaopen_package},
-            {LUA_TABLIBNAME, luaopen_table},
-            {LUA_IOLIBNAME, luaopen_io},
-            {LUA_OSLIBNAME, luaopen_os},
-            {LUA_STRLIBNAME, luaopen_string},
-            {LUA_MATHLIBNAME, luaopen_math},
-        #if defined(DEBUG) || defined (_DEBUG)
-                {LUA_DBLIBNAME, luaopen_debug},
-        #endif
-            {0, 0}
-        };
-    #endif /* CEGUI_LUA_VER >= 51 */
+    static const luaL_Reg lualibs[] = {
+        {"", luaopen_base},
+        {LUA_LOADLIBNAME, luaopen_package},
+        {LUA_TABLIBNAME, luaopen_table},
+        {LUA_IOLIBNAME, luaopen_io},
+        {LUA_OSLIBNAME, luaopen_os},
+        {LUA_STRLIBNAME, luaopen_string},
+        {LUA_MATHLIBNAME, luaopen_math},
+    #if defined(DEBUG) || defined (_DEBUG)
+        {LUA_DBLIBNAME, luaopen_debug},
+    #endif
+        {0, 0}
+    };
 
     // create a lua state
@@ -82,22 +72,11 @@
 
     // init all standard libraries
-    #if CEGUI_LUA_VER >= 51
-            const luaL_Reg *lib = lualibs;
-            for (; lib->func; lib++)
-            {
-                lua_pushcfunction(d_state, lib->func);
-                lua_pushstring(d_state, lib->name);
-                lua_call(d_state, 1, 0);
-            }
-    #else /* CEGUI_LUA_VER >= 51 */
-        luaopen_base(d_state);
-        luaopen_io(d_state);
-        luaopen_string(d_state);
-        luaopen_table(d_state);
-        luaopen_math(d_state);
-        #if defined(DEBUG) || defined (_DEBUG)
-            luaopen_debug(d_state);
-        #endif
-    #endif /* CEGUI_LUA_VER >= 51 */
+    const luaL_Reg *lib = lualibs;
+    for (; lib->func; lib++)
+    {
+        lua_pushcfunction(d_state, lib->func);
+        lua_pushstring(d_state, lib->name);
+        lua_call(d_state, 1, 0);
+    }
 
     setModuleIdentifierString();
Index: /code/branches/ceguilua/src/ceguilua-0.6.1/ceguilua/CEGUILuaFunctor.cpp
===================================================================
--- /code/branches/ceguilua/src/ceguilua-0.6.1/ceguilua/CEGUILuaFunctor.cpp	(revision 1803)
+++ /code/branches/ceguilua/src/ceguilua-0.6.1/ceguilua/CEGUILuaFunctor.cpp	(revision 1804)
@@ -34,11 +34,6 @@
 
 // include Lua libs and tolua++
-extern "C" {
-#include "lua.h"
-#include "lualib.h"
-#include "lauxlib.h"
-}
-
-#include "tolua++.h"
+#include "lua/lua.hpp"
+#include "tolua/tolua++.h"
 
 // Start of CEGUI namespace section
Index: /code/branches/ceguilua/src/ceguilua-0.6.1/ceguilua/CMakeLists.txt
===================================================================
--- /code/branches/ceguilua/src/ceguilua-0.6.1/ceguilua/CMakeLists.txt	(revision 1803)
+++ /code/branches/ceguilua/src/ceguilua-0.6.1/ceguilua/CMakeLists.txt	(revision 1804)
@@ -9,2 +9,4 @@
 
 ADD_LIBRARY( ceguilua_orxonox SHARED ${LUA_SRC_FILES} )
+
+TARGET_LINK_LIBRARIES( ceguilua_orxonox lua_orxonox )
Index: /code/branches/ceguilua/src/ceguilua-0.6.1/ceguilua/lua_CEGUI.cpp
===================================================================
--- /code/branches/ceguilua/src/ceguilua-0.6.1/ceguilua/lua_CEGUI.cpp	(revision 1803)
+++ /code/branches/ceguilua/src/ceguilua-0.6.1/ceguilua/lua_CEGUI.cpp	(revision 1804)
@@ -9,5 +9,5 @@
 #include "string.h"
 
-#include "tolua++.h"
+#include "tolua/tolua++.h"
 
 /* Exported function */
Index: /code/branches/ceguilua/src/core/CMakeLists.txt
===================================================================
--- /code/branches/ceguilua/src/core/CMakeLists.txt	(revision 1803)
+++ /code/branches/ceguilua/src/core/CMakeLists.txt	(revision 1804)
@@ -65,10 +65,10 @@
 
 TARGET_LINK_LIBRARIES(core
-  ${Lua_LIBRARIES}
   ${OGRE_LIBRARIES}
-  cpptcl
+  lua_orxonox
+  cpptcl_orxonox
   ois_orxonox
-  tinyxml
-  tolualib
+  tinyxml_orxonox
+  tolualib_orxonox
   util
   ${Boost_thread_LIBRARIES}
Index: /code/branches/ceguilua/src/core/Script.cc
===================================================================
--- /code/branches/ceguilua/src/core/Script.cc	(revision 1803)
+++ /code/branches/ceguilua/src/core/Script.cc	(revision 1804)
@@ -34,8 +34,5 @@
 #include "CoreIncludes.h"
 
-extern "C" {
-#include <lualib.h>
-#include <lauxlib.h>
-}
+#include "lua/lua.hpp"
 
 #include "tolua/tolua++.h"
Index: /code/branches/ceguilua/src/core/Script.h
===================================================================
--- /code/branches/ceguilua/src/core/Script.h	(revision 1803)
+++ /code/branches/ceguilua/src/core/Script.h	(revision 1804)
@@ -39,5 +39,5 @@
 
 extern "C" {
-#include <lua.h>
+#include "lua/lua.h"
 }
 
Index: /code/branches/ceguilua/src/cpptcl/CMakeLists.txt
===================================================================
--- /code/branches/ceguilua/src/cpptcl/CMakeLists.txt	(revision 1803)
+++ /code/branches/ceguilua/src/cpptcl/CMakeLists.txt	(revision 1804)
@@ -1,5 +1,5 @@
-ADD_LIBRARY(cpptcl SHARED CppTcl.cc)
+ADD_LIBRARY(cpptcl_orxonox SHARED CppTcl.cc)
 
-TARGET_LINK_LIBRARIES(cpptcl
+TARGET_LINK_LIBRARIES(cpptcl_orxonox
   ${TCL_LIBRARY}
 )
Index: /code/branches/ceguilua/src/lua-5.0.3/lua/lua.hpp
===================================================================
--- /code/branches/ceguilua/src/lua-5.0.3/lua/lua.hpp	(revision 1804)
+++ /code/branches/ceguilua/src/lua-5.0.3/lua/lua.hpp	(revision 1804)
@@ -0,0 +1,9 @@
+// lua.hpp
+// Lua header files for C++
+// <<extern "C">> not supplied automatically because Lua also compiles as C++
+
+extern "C" {
+#include "lua.h"
+#include "lualib.h"
+#include "lauxlib.h"
+}
Index: /code/branches/ceguilua/src/orxonox/CMakeLists.txt
===================================================================
--- /code/branches/ceguilua/src/orxonox/CMakeLists.txt	(revision 1803)
+++ /code/branches/ceguilua/src/orxonox/CMakeLists.txt	(revision 1804)
@@ -97,9 +97,9 @@
 TARGET_LINK_LIBRARIES( orxonox
   ${OGRE_LIBRARIES}
-  ${Lua_LIBRARIES}
   ${CEGUI_LIBRARIES}
   ${CEGUI_SCRIPT_LIBRARIES}
-  tinyxml
-  tolualib
+  lua_orxonox
+  tinyxml_orxonox
+  tolualib_orxonox
   ois_orxonox
   util
Index: /code/branches/ceguilua/src/orxonox/OrxonoxStableHeaders.h
===================================================================
--- /code/branches/ceguilua/src/orxonox/OrxonoxStableHeaders.h	(revision 1803)
+++ /code/branches/ceguilua/src/orxonox/OrxonoxStableHeaders.h	(revision 1804)
@@ -37,5 +37,5 @@
 #include "util/OrxonoxPlatform.h"
 
-#if ORXONOX_COMPILER == ORXONOX_COMPILER_MSVC && !defined(ORXONOX_DISABLE_PCH) && 0
+#if ORXONOX_COMPILER == ORXONOX_COMPILER_MSVC && !defined(ORXONOX_DISABLE_PCH)
 
 // including std headers here is useless since they're already precompiled
Index: /code/branches/ceguilua/src/orxonox/gui/GUIManager.cc
===================================================================
--- /code/branches/ceguilua/src/orxonox/gui/GUIManager.cc	(revision 1803)
+++ /code/branches/ceguilua/src/orxonox/gui/GUIManager.cc	(revision 1804)
@@ -39,5 +39,5 @@
 #include <OgreRoot.h>
 #include <CEGUI.h>
-#include <CEGUILua.h>
+#include "ceguilua/CEGUILua.h"
 #include "util/Exception.h"
 #include "core/input/InputManager.h"
@@ -50,8 +50,5 @@
 #include "OgreCEGUIRenderer.h"
 
-extern "C" {
-#include <lualib.h>
-#include <lauxlib.h>
-}
+#include "lua/lua.hpp"
 
 namespace orxonox
Index: /code/branches/ceguilua/src/tinyxml/CMakeLists.txt
===================================================================
--- /code/branches/ceguilua/src/tinyxml/CMakeLists.txt	(revision 1803)
+++ /code/branches/ceguilua/src/tinyxml/CMakeLists.txt	(revision 1804)
@@ -7,3 +7,3 @@
 )
 
-ADD_LIBRARY(tinyxml SHARED ${TINYXML_SRC_FILES})
+ADD_LIBRARY(tinyxml_orxonox SHARED ${TINYXML_SRC_FILES})
Index: /code/branches/ceguilua/src/tolua/CMakeLists.txt
===================================================================
--- /code/branches/ceguilua/src/tolua/CMakeLists.txt	(revision 1803)
+++ /code/branches/ceguilua/src/tolua/CMakeLists.txt	(revision 1804)
@@ -7,8 +7,8 @@
 )
 
-ADD_LIBRARY (tolualib SHARED ${TOLUALIB_SRC_FILES})
+ADD_LIBRARY (tolualib_orxonox SHARED ${TOLUALIB_SRC_FILES})
 
-TARGET_LINK_LIBRARIES (tolualib
-  ${Lua_LIBRARIES}
+TARGET_LINK_LIBRARIES (tolualib_orxonox
+  lua_orxonox
 )
 
@@ -19,9 +19,9 @@
 )
 
-ADD_EXECUTABLE (toluagen ${TOLUAGEN_SRC_FILES})
+ADD_EXECUTABLE (toluagen_orxonox ${TOLUAGEN_SRC_FILES})
 
-TARGET_LINK_LIBRARIES (toluagen
-  ${Lua_LIBRARIES}
-  tolualib
+TARGET_LINK_LIBRARIES (toluagen_orxonox
+  lua_orxonox
+  tolualib_orxonox
   m
 )
@@ -34,9 +34,9 @@
 ENDIF (Lua_VERSION EQUAL 5.0)
 
-GET_TARGET_PROPERTY(TOLUAGEN_EXE toluagen LOCATION)
+GET_TARGET_PROPERTY(TOLUAGEN_EXE toluagen_orxonox LOCATION)
 ADD_CUSTOM_COMMAND(
   OUTPUT ${CMAKE_CURRENT_SOURCE_DIR}/toluabind_orxonox.c
   COMMAND ${TOLUAGEN_EXE} -n tolua -o ../../src/tolua/toluabind_orxonox.c -H ../../src/tolua/toluabind_orxonox.h ${TOLUA_PACKAGE}
-  DEPENDS toluagen
+  DEPENDS toluagen_orxonox
   WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/bin/lib
 )
@@ -47,9 +47,9 @@
 )
 
-ADD_EXECUTABLE (tolua ${TOLUAEXE_SRC_FILES})
+ADD_EXECUTABLE (tolua_orxonox ${TOLUAEXE_SRC_FILES})
 
-TARGET_LINK_LIBRARIES (tolua
-  ${Lua_LIBRARIES}
-  tolualib
+TARGET_LINK_LIBRARIES (tolua_orxonox
+  lua_orxonox
+  tolualib_orxonox
   m
 )
Index: /code/branches/ceguilua/src/tolua/lua/package.lua
===================================================================
--- /code/branches/ceguilua/src/tolua/lua/package.lua	(revision 1803)
+++ /code/branches/ceguilua/src/tolua/lua/package.lua	(revision 1804)
@@ -116,5 +116,5 @@
 	output('#endif\n')
 	output('#include "string.h"\n\n')
- output('#include "tolua++.h"\n\n')
+ output('#include "tolua/tolua++.h"\n\n')
 
  if not flags.h then
Index: /code/branches/ceguilua/src/tolua/tolua++.h
===================================================================
--- /code/branches/ceguilua/src/tolua/tolua++.h	(revision 1803)
+++ /code/branches/ceguilua/src/tolua/tolua++.h	(revision 1804)
@@ -65,6 +65,6 @@
 typedef int lua_Object;
 
-#include "lua.h"
-#include "lauxlib.h"
+#include "lua/lua.h"
+#include "lua/lauxlib.h"
 
 struct tolua_Error
Index: /code/branches/ceguilua/src/tolua/tolua.c
===================================================================
--- /code/branches/ceguilua/src/tolua/tolua.c	(revision 1803)
+++ /code/branches/ceguilua/src/tolua/tolua.c	(revision 1804)
@@ -15,7 +15,7 @@
 #include "tolua++.h"
 
-#include "lua.h"
-#include "lualib.h"
-#include "lauxlib.h"
+#include "lua/lua.h"
+#include "lua/lualib.h"
+#include "lua/lauxlib.h"
 
 #include <stdio.h>
Index: /code/branches/ceguilua/src/tolua/tolua_is.c
===================================================================
--- /code/branches/ceguilua/src/tolua/tolua_is.c	(revision 1803)
+++ /code/branches/ceguilua/src/tolua/tolua_is.c	(revision 1804)
@@ -14,5 +14,5 @@
 
 #include "tolua++.h"
-#include "lauxlib.h"
+#include "lua/lauxlib.h"
 
 #include <stdlib.h>
Index: /code/branches/ceguilua/src/tolua/tolua_map.c
===================================================================
--- /code/branches/ceguilua/src/tolua/tolua_map.c	(revision 1803)
+++ /code/branches/ceguilua/src/tolua/tolua_map.c	(revision 1804)
@@ -15,5 +15,5 @@
 #include "tolua++.h"
 #include "tolua_event.h"
-#include "lauxlib.h"
+#include "lua/lauxlib.h"
 
 #include <string.h>
Index: /code/branches/ceguilua/src/tolua/tolua_push.c
===================================================================
--- /code/branches/ceguilua/src/tolua/tolua_push.c	(revision 1803)
+++ /code/branches/ceguilua/src/tolua/tolua_push.c	(revision 1804)
@@ -14,5 +14,5 @@
 
 #include "tolua++.h"
-#include "lauxlib.h"
+#include "lua/lauxlib.h"
 
 #include <stdlib.h>
Index: /code/branches/ceguilua/visual_studio/base_properties.vsprops
===================================================================
--- /code/branches/ceguilua/visual_studio/base_properties.vsprops	(revision 1803)
+++ /code/branches/ceguilua/visual_studio/base_properties.vsprops	(revision 1804)
@@ -8,6 +8,6 @@
 	<Tool
 		Name="VCCLCompilerTool"
-		AdditionalIncludeDirectories="&quot;$(RootDir)&quot;;&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\tolua&quot;;&quot;$(RootDir)src\ois&quot;;&quot;$(LibDir)ogre-1.4.9\OgreMain\include&quot;;&quot;$(LibDir)boost-1.35.0&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)cegui-0.6.1\ScriptingModules\CEGUILua\LuaScriptModule\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)lua-5.1.3\src&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)openal-1.1\alut\include&quot;;&quot;$(LibDir)tcl-8.5.\generic&quot;;&quot;$(LibDir)zlib-1.2.3&quot;"
-		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB; ZLIB_WINAPI"
+		AdditionalIncludeDirectories="&quot;$(RootDir)&quot;;&quot;$(RootDir)src&quot;;&quot;$(RootDir)src\orxonox&quot;;&quot;$(RootDir)src\lua-5.1.3&quot;;&quot;$(RootDir)src\ceguilua-0.6.1&quot;;&quot;$(LibDir)ogre-1.4.9\OgreMain\include&quot;;&quot;$(LibDir)boost-1.35.0&quot;;&quot;$(LibDir)cegui-0.6.1\include&quot;;&quot;$(LibDir)enet-1.2\include&quot;;&quot;$(LibDir)libogg-1.1.3\include&quot;;&quot;$(LibDir)libvorbis-1.2.0\include&quot;;&quot;$(LibDir)openal-1.1\include&quot;;&quot;$(LibDir)openal-1.1\alut\include&quot;;&quot;$(LibDir)tcl-8.5.\generic&quot;;&quot;$(LibDir)zlib-1.2.3&quot;"
+		PreprocessorDefinitions="WIN32;__WIN32__;_WIN32;_WINDOWS;BOOST_ALL_DYN_LINK;OIS_DYNAMIC_LIB;ZLIB_WINAPI;LUA_BUILD_AS_DLL"
 		WarningLevel="3"
 		DisableSpecificWarnings="4522;4251;4800"
Index: /code/branches/ceguilua/visual_studio/ceguilua_properties.vsprops
===================================================================
--- /code/branches/ceguilua/visual_studio/ceguilua_properties.vsprops	(revision 1804)
+++ /code/branches/ceguilua/visual_studio/ceguilua_properties.vsprops	(revision 1804)
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="ceguilua_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		PreprocessorDefinitions="CEGUILUA_EXPORTS"
+		DisableSpecificWarnings="4996"
+	/>
+	<Tool
+		Name="VCLinkerTool"
+		AdditionalDependencies="CEGUIBase$(CS).lib"
+	/>
+</VisualStudioPropertySheet>
Index: /code/branches/ceguilua/visual_studio/core_properties.vsprops
===================================================================
--- /code/branches/ceguilua/visual_studio/core_properties.vsprops	(revision 1803)
+++ /code/branches/ceguilua/visual_studio/core_properties.vsprops	(revision 1804)
@@ -13,5 +13,5 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib lua-5.1.3$(CS).lib"
+		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib"
 	/>
 </VisualStudioPropertySheet>
Index: /code/branches/ceguilua/visual_studio/lua_properties.vsprops
===================================================================
--- /code/branches/ceguilua/visual_studio/lua_properties.vsprops	(revision 1804)
+++ /code/branches/ceguilua/visual_studio/lua_properties.vsprops	(revision 1804)
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioPropertySheet
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="lua_properties"
+	InheritedPropertySheets=".\directory_properties.vsprops"
+	>
+	<Tool
+		Name="VCCLCompilerTool"
+		CompileAs="1"
+		DisableSpecificWarnings="4996"
+	/>
+</VisualStudioPropertySheet>
Index: /code/branches/ceguilua/visual_studio/orxonox_properties.vsprops
===================================================================
--- /code/branches/ceguilua/visual_studio/orxonox_properties.vsprops	(revision 1803)
+++ /code/branches/ceguilua/visual_studio/orxonox_properties.vsprops	(revision 1804)
@@ -15,7 +15,7 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib enet-1.2$(CS).lib zlib-1.2.3$(CS).lib CEGUILua$(CS).lib CEGUIBase$(CS).lib lua-5.1.3$(CS).lib"
+		AdditionalDependencies="OgreMain$(CSS).lib tcl85t.lib enet-1.2$(CS).lib zlib-1.2.3$(CS).lib CEGUIBase$(CS).lib"
 		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
-		IgnoreDefaultLibraryNames="LIBCMT;LIBCMTD"
+		IgnoreDefaultLibraryNames=""
 	/>
 </VisualStudioPropertySheet>
Index: /code/branches/ceguilua/visual_studio/orxonox_vc8.sln
===================================================================
--- /code/branches/ceguilua/visual_studio/orxonox_vc8.sln	(revision 1803)
+++ /code/branches/ceguilua/visual_studio/orxonox_vc8.sln	(revision 1804)
@@ -9,8 +9,12 @@
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua", "vc8\tolua.vcproj", "{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}"
+	ProjectSection(ProjectDependencies) = postProject
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
+	EndProjectSection
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tolua_gen", "vc8\tolua_gen.vcproj", "{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}"
 	ProjectSection(ProjectDependencies) = postProject
 		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
 	EndProjectSection
 EndProject
@@ -18,4 +22,5 @@
 	ProjectSection(ProjectDependencies) = postProject
 		{71FC0211-5EB5-4637-BE8A-A48EC3CC27D0} = {71FC0211-5EB5-4637-BE8A-A48EC3CC27D0}
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
 		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
 	EndProjectSection
@@ -25,21 +30,23 @@
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "core", "vc8\core.vcproj", "{271715F3-5B90-4110-A552-70C788084A86}"
 	ProjectSection(ProjectDependencies) = postProject
+		{A0724246-CB7C-420B-BCF0-68EF205AFE34} = {A0724246-CB7C-420B-BCF0-68EF205AFE34}
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
+		{53C56131-E2AA-4A27-B460-7AC05D61A0E6} = {53C56131-E2AA-4A27-B460-7AC05D61A0E6}
+		{9CC704CB-4956-4479-BDEC-57CBC03F700E} = {9CC704CB-4956-4479-BDEC-57CBC03F700E}
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-		{9CC704CB-4956-4479-BDEC-57CBC03F700E} = {9CC704CB-4956-4479-BDEC-57CBC03F700E}
-		{53C56131-E2AA-4A27-B460-7AC05D61A0E6} = {53C56131-E2AA-4A27-B460-7AC05D61A0E6}
-		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
 	EndProjectSection
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "audio", "vc8\audio.vcproj", "{4733BD1A-E04C-458D-8BFB-5010250EA497}"
 	ProjectSection(ProjectDependencies) = postProject
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 	EndProjectSection
 EndProject
 Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "network", "vc8\network.vcproj", "{35575B59-E1AE-40E8-89C4-2862B5B09B68}"
 	ProjectSection(ProjectDependencies) = postProject
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
 	EndProjectSection
 EndProject
@@ -47,9 +54,20 @@
 	ProjectSection(ProjectDependencies) = postProject
 		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
+		{A0724246-CB7C-420B-BCF0-68EF205AFE34} = {A0724246-CB7C-420B-BCF0-68EF205AFE34}
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
+		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
+		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
+		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
+		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
 		{F101C2F0-1CB9-4A57-827B-6C399A99B28F} = {F101C2F0-1CB9-4A57-827B-6C399A99B28F}
-		{271715F3-5B90-4110-A552-70C788084A86} = {271715F3-5B90-4110-A552-70C788084A86}
-		{2240ECD7-2F48-4431-8E1B-25466A384CCC} = {2240ECD7-2F48-4431-8E1B-25466A384CCC}
-		{35575B59-E1AE-40E8-89C4-2862B5B09B68} = {35575B59-E1AE-40E8-89C4-2862B5B09B68}
-		{4733BD1A-E04C-458D-8BFB-5010250EA497} = {4733BD1A-E04C-458D-8BFB-5010250EA497}
+		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F} = {4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}
+	EndProjectSection
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "lua", "vc8\lua.vcproj", "{63B3E57A-4382-42F3-85EC-E869CFCCA88F}"
+EndProject
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "ceguilua", "vc8\ceguilua.vcproj", "{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}"
+	ProjectSection(ProjectDependencies) = postProject
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F} = {63B3E57A-4382-42F3-85EC-E869CFCCA88F}
+		{35E36A06-0A5C-4A0D-9AB6-5A05EAA87626} = {35E36A06-0A5C-4A0D-9AB6-5A05EAA87626}
 	EndProjectSection
 EndProject
@@ -104,4 +122,12 @@
 		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.ActiveCfg = Release|Win32
 		{0B6C5CFD-F91B-432A-80A3-2610F61E060B}.Release|Win32.Build.0 = Release|Win32
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Debug|Win32.ActiveCfg = Debug|Win32
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Debug|Win32.Build.0 = Debug|Win32
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Release|Win32.ActiveCfg = Release|Win32
+		{63B3E57A-4382-42F3-85EC-E869CFCCA88F}.Release|Win32.Build.0 = Release|Win32
+		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}.Debug|Win32.ActiveCfg = Debug|Win32
+		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}.Debug|Win32.Build.0 = Debug|Win32
+		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}.Release|Win32.ActiveCfg = Release|Win32
+		{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}.Release|Win32.Build.0 = Release|Win32
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /code/branches/ceguilua/visual_studio/tolua_app_properties.vsprops
===================================================================
--- /code/branches/ceguilua/visual_studio/tolua_app_properties.vsprops	(revision 1803)
+++ /code/branches/ceguilua/visual_studio/tolua_app_properties.vsprops	(revision 1804)
@@ -13,5 +13,4 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="lua-5.1.3$(CS).lib"
 		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
 	/>
Index: /code/branches/ceguilua/visual_studio/tolua_gen_properties.vsprops
===================================================================
--- /code/branches/ceguilua/visual_studio/tolua_gen_properties.vsprops	(revision 1803)
+++ /code/branches/ceguilua/visual_studio/tolua_gen_properties.vsprops	(revision 1804)
@@ -12,5 +12,4 @@
 	<Tool
 		Name="VCLinkerTool"
-		AdditionalDependencies="lua-5.1.3$(CS).lib"
 		OutputFile="$(OutDir)$(ProjectName)$(CS).exe"
 	/>
Index: /code/branches/ceguilua/visual_studio/tolua_properties.vsprops
===================================================================
--- /code/branches/ceguilua/visual_studio/tolua_properties.vsprops	(revision 1803)
+++ /code/branches/ceguilua/visual_studio/tolua_properties.vsprops	(revision 1804)
@@ -9,10 +9,6 @@
 		Name="VCCLCompilerTool"
 		PreprocessorDefinitions="TOLUA_SHARED_BUILD"
-		CompileAs="2"
+		CompileAs="1"
 		DisableSpecificWarnings="4996"
 	/>
-	<Tool
-		Name="VCLinkerTool"
-		AdditionalDependencies="lua-5.1.3$(CS).lib"
-	/>
 </VisualStudioPropertySheet>
Index: /code/branches/ceguilua/visual_studio/vc8/ceguilua.vcproj
===================================================================
--- /code/branches/ceguilua/visual_studio/vc8/ceguilua.vcproj	(revision 1804)
+++ /code/branches/ceguilua/visual_studio/vc8/ceguilua.vcproj	(revision 1804)
@@ -0,0 +1,189 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="ceguilua"
+	ProjectGUID="{4BBBB49F-3203-4BB4-AAE3-48BCA96FCB4F}"
+	RootNamespace="FICN"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="2"
+			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\ceguilua_properties.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="2"
+			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\ceguilua_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				PreprocessorDefinitions="TOLUA_RELEASE"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\src\ceguilua-0.6.1\ceguilua\CEGUILua.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ceguilua-0.6.1\ceguilua\CEGUILuaFunctor.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ceguilua-0.6.1\ceguilua\lua_CEGUI.cpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ceguilua-0.6.1\ceguilua\required.cpp"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\src\ceguilua-0.6.1\ceguilua\CEGUILua.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ceguilua-0.6.1\ceguilua\CEGUILuaFunctor.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\ceguilua-0.6.1\ceguilua\required.h"
+				>
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
Index: /code/branches/ceguilua/visual_studio/vc8/core.vcproj
===================================================================
--- /code/branches/ceguilua/visual_studio/vc8/core.vcproj	(revision 1803)
+++ /code/branches/ceguilua/visual_studio/vc8/core.vcproj	(revision 1804)
@@ -208,4 +208,5 @@
 							Description="Generating tolua bind files..."
 							CommandLine="&quot;$(OutDir)\tolua_app.exe&quot; -n Core -o ../../src/core/tolua/tolua_bind.cc -H ../../src/core/tolua/tolua_bind.h ../../src/core/tolua/tolua.pkg&#x0D;&#x0A;"
+							AdditionalDependencies=""
 							Outputs="$(RootDir)\src\core\tolua\tolua_bind.cc; $(RootDir)\src\core\tolua\tolua_bind.h"
 						/>
Index: /code/branches/ceguilua/visual_studio/vc8/lua.vcproj
===================================================================
--- /code/branches/ceguilua/visual_studio/vc8/lua.vcproj	(revision 1804)
+++ /code/branches/ceguilua/visual_studio/vc8/lua.vcproj	(revision 1804)
@@ -0,0 +1,372 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8.00"
+	Name="lua"
+	ProjectGUID="{63B3E57A-4382-42F3-85EC-E869CFCCA88F}"
+	RootNamespace="FICN"
+	Keyword="Win32Proj"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			ConfigurationType="2"
+			InheritedPropertySheets="$(SolutionDir)base_properties_debug.vsprops;..\lua_properties.vsprops"
+			CharacterSet="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			ConfigurationType="2"
+			InheritedPropertySheets="$(SolutionDir)base_properties_release.vsprops;..\lua_properties.vsprops"
+			CharacterSet="1"
+			WholeProgramOptimization="0"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lapi.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lauxlib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lbaselib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lcode.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ldblib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ldebug.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ldo.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ldump.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lfunc.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lgc.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\linit.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\liolib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\llex.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lmathlib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lmem.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\loadlib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lobject.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lopcodes.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\loslib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lparser.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lstate.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lstring.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lstrlib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ltable.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ltablib.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ltm.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lundump.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lvm.c"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lzio.c"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lapi.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lauxlib.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lcode.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ldebug.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ldo.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lfunc.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lgc.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\llex.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\llimits.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lmem.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lobject.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lopcodes.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lparser.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lstate.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lstring.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ltable.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\ltm.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lua.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lua.hpp"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\luaconf.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lualib.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lundump.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lvm.h"
+				>
+			</File>
+			<File
+				RelativePath="..\..\src\lua-5.1.3\lua\lzio.h"
+				>
+			</File>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
